# $Revision: 1.4 $, $Date: 2004/03/15 00:01:19 $
Summary:	Atomix-like game of moving marbles in puzzles
Summary(pl):	Gra podobna do Atomiksa, polegajca na przesuwaniu klockw w ukadankach
Summary(pt_BR):	Jogo tipo Atomix, de mover bolas de gude em labirintos
Name:		lmarbles
Version:	1.0.6
Release:	2
License:	GPL v2+
Group:		X11/Applications/Games
Source0:	http://dl.sourceforge.net/lgames/%{name}-%{version}.tar.gz
# Source0-md5:	ad162da8fa298cac680e13c02fea258c
Patch0:		%{name}-bugfix.patch
URL:		http://lgames.sourceforge.net/marbles/marbles.html
BuildRequires:	SDL-devel >= 1.0.0
BuildRequires:	autoconf >= 2.13
BuildRequires:	automake
Obsoletes:	marbles
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Marbles is very similiar to Atomix and was heavily inspired by it.
Goal is to create a more or less complex figure out of single marbles
within a time limit to reach the next level.

Sounds easy? Well, there is a problem: If a marble starts to move it
will not stop until it hits a wall or marble. And to make it even more
interesting there are obstacles like arrows, crumbling walls and
teleports!

%description -l pl
Marbles to gra bardzo podobna do Atomiksa, w duym stopniu nim
inspirowana. Celem jest stworzenie bardziej lub mniej skomplikowanej
figury z pojedynczych klockw w ograniczonym czasie, aby przej do
nastpnego poziomu.

Wydaje si atwe? Hm, jest pewien problem: jeli klocek zaczyna si
rusza, nie zatrzymuje si, dopki nie uderzy w cian lub inny
klocek. Aby gra bya jeszcze bardziej interesujca, s przeszkody w
rodzaju strzaek, pkajcych cian i teleportw!

%description -l pt_BR
O Marbles  muito parecido com o jogo Atomix, pois foi inspirado nele.
O objetivo  criar uma figura de bolas de gude mais ou menos complexa
dentro de um limite de tempo.

Parece fcil? Bem, h um problema: quando uma bolinha de gude comea a
se mover, s pra quando bate em uma parede ou outra bolinha. E para
ficar mais interessante, h alguns obstculos como caminhos de mo
nica, paredes que desmoronam e teletransporte!

%prep
%setup -q
%patch0 -p1

%{__perl} -pi -e 's@^inst_dir="\$datadir/games/lmarbles"@inst_dir="\$datadir/lmarbles"@' \
	configure.in

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-profile-path=/var/games
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/var/games

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv -f $RPM_BUILD_ROOT/var/games/{marbles,lmarbles}.prfs

%clean
rm -rf $RPM_BUILD_ROOT

%triggerpostun -- marbles < 1.0.6
if [ -f /var/games/marbles.prfs.rpmsave ]; then
	mv -f /var/games/marbles.prfs.rpmsave /var/games/lmarbles.prfs
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README src/manual
%attr(2755,root,games) %{_bindir}/lmarbles
%{_datadir}/lmarbles
%{_mandir}/man6/*
%attr(664,root,games) %config(noreplace) %verify(not size mtime md5) /var/games/%{name}.prfs

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: lmarbles.spec,v $
Revision 1.4  2004/03/15 00:01:19  qboosh
- added bugfix patch
- ac/am regeneration, change datadir path to standard location
- release 2 for Ac

Revision 1.3  2003/05/28 12:59:37  malekith
- massive attack: source-md5

Revision 1.2  2003/05/25 05:50:14  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.1  2003/04/03 20:50:37  qboosh
- updated to 1.0.6 (includes security fixes)
- name has changed (from marbles to lmarbles)
- added trigger to move marbles score file

Revision 1.3  2003/01/18 22:53:34  juandon
- removed two lines with define

Revision 1.2  2002/08/30 23:42:10  qboosh
- BR: autoconf

Revision 1.1  2002/08/30 23:39:19  qboosh
- new

* Thu Nov 30 2000 aurlio marinho jargas <aurelio@conectiva.com>
+ marbles-001126-1cl
- changed prefs dir
- adopted
